class ComplaintsController < ApplicationController
  before_action :set_complaint, only: [:show, :update, :destroy, :like]

  # GET /complaints
  # GET /complaints.json


  # GET /complaints/1
  # GET /complaints/1.json
  def show
  end

  # POST /complaints/1/like

  # POST /complaints
  # POST /complaints.json
  def create
    @complaint = complaint.new(complaint_params)

    respond_to do |format|
      if complaint_repository.save @complaint
        format.html { redirect_to @complaint, notice: 'complaint was successfully created.' }
      else
        format.html { render :new }
      end
    end
  end

  # PATCH/PUT /complaints/1
  # PATCH/PUT /complaints/1.json
  def update
    respond_to do |format|
      if complaint_repository.update(complaint_params)
        format.html { redirect_to @complaint, notice: 'complaint was successfully updated.' }
      else
        format.html { render :edit }
      end
    end
  end

  # DELETE /complaints/1
  # DELETE /complaints/1.json
  def destroy
    complaint_repository.destroy @complaint

    respond_to do |format|
      format.html { redirect_to complaints_url, notice: 'Learning object was successfully destroyed.' }
    end
  end


  def self.copyrights
    "Objeto viola direitos autorais"
  end

  def self.ofensive_content
    "Objeto contém conteúdo ofensivo/abusivo"
  end

  def self.ofensive_user
    "Usuário ofensivo/agressivo"
  end

  def self.fake_user
    "Usuário falso"
  end

  private

  def set_complaint
    @complaint = complaint_repository.find params[:id]
  end

  # Never trust parameters from the scary internet, only allow the white list through.
  def complaint_params
    params.require(:complaint).permit(:name, :privacy, learning_objects: [])
  end

end
